Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.RefreshMultipleKey Method (Int32)
Cursor Class See Also Send Feedback

Store the key/data pair to which the cursor refers and as many ensuing key/data pairs that can fit in a buffer the size of BufferSize in CurrentMultipleKey.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool RefreshMultipleKey(
    	int BufferSize
    )

Visual Basic (Declaration)
    Public Function RefreshMultipleKey ( _
    	BufferSize As Integer _
    ) As Boolean

Visual C++
    public:
    bool RefreshMultipleKey(
    	int BufferSize
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
RefreshMultipleKey Overload
BerkeleyDB Namespace